Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Big Data Appliance Perfect Balance Java API Reference Release 1 (1.0) E41667-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.hadoop.balancer.examples.invindx
Class InvertedIndexMapred

`java.lang.Object
org.apache.hadoop.conf.Configured
oracle.hadoop.balancer.examples.invindx.InvertedIndexMapred`

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

      public class InvertedIndexMapred

extends org.apache.hadoop.conf.Configured
implements org.apache.hadoop.util.Tool

Inverted Index with Mapred API. It contains mapper class, reducer class and a driver.

Nested Class Summary
`static class` | `InvertedIndexMapred.InvertedIndexMapper` Inverted Index mapper class for `TextInputFormat` and `FileSplit` This class uses the file name obtained from `FileSplit` as the location of the word, and the value of the LongWritable key of `TextInputFormat` as the offset of the word in that file.
`static class` | `InvertedIndexMapred.InvertedIndexReducer` The inverted index reducer class for mapred API

Constructor Summary
`InvertedIndexMapred()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`int` | `run(java.lang.String[] args)`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Constructor Detail

### InvertedIndexMapred

    public InvertedIndexMapred()

Method Detail

### run

    public int run(java.lang.String[] args)
            throws java.lang.Exception

  Specified by:
    `run` in interface `org.apache.hadoop.util.Tool`
  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Big Data Appliance Perfect Balance Java API Reference Release 1 (1.0) E41667-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013, Oracle and/or its affiliates. All rights reserved.